<button mat-fab color="primary" title="Go back" [routerLink]="['/establishments']" routerLinkActive="router-link-active">
  <mat-icon>chevron_left</mat-icon>
</button>

<form [formGroup]="establishment" (submit)="onSubmit()">
  <mat-form-field>
    <input matInput placeholder="name" formControlName="name" minlength="5" maxlength="254" type="text" required>
    <mat-error *ngIf="establishment.hasError('required', 'name')">You must enter a value</mat-error>
    <mat-error *ngIf="establishment.hasError('minlength', 'name')">Too short</mat-error>
    <mat-error *ngIf="establishment.hasError('maxlength', 'name')">Too long</mat-error>
  </mat-form-field>

  <mat-form-field>
    <input matInput placeholder="phone" formControlName="phone" type="text" pattern="^[+]?\d+$">
    <mat-error *ngIf="establishment.hasError('pattern', 'phone')">Wrong phone number</mat-error>
  </mat-form-field>

  <mat-form-field>
    <input matInput placeholder="address" formControlName="address" maxlength="254" type="text">
    <mat-error *ngIf="establishment.hasError('maxlength', 'address')">Too long</mat-error>
  </mat-form-field>

  <mat-form-field>
    <input matInput placeholder="position" formControlName="position" maxlength="254" type="text" required>
    <mat-error *ngIf="establishment.hasError('required', 'position')">You must enter a value</mat-error>
    <mat-error *ngIf="establishment.hasError('maxlength', 'position')">Too long</mat-error>
  </mat-form-field>

  <button mat-raised-button	type="submit" color="primary">Save</button>
</form>
